@ECHO OFF
SET REG_PATH=SOFTWARE\Microsoft\VisualStudio\8.0\Setup\VS\BuildNumber
SET TEST_REG="%~dp0\TestRegistry.exe"

if %1 == install (

REM Install English by default
%SystemRoot%\System32\msiexec.exe /I RTC4NET_VS05_en.msi /Q TARGETDIR="%~dp0Help\VS2005\en" ARPSYSTEMCOMPONENT=1
CALL :InstallLocalizedHelp 1031 RTC4NET_VS05_de.msi de
CALL :InstallLocalizedHelp 1034 RTC4NET_VS05_es.msi es
CALL :InstallLocalizedHelp 1036 RTC4NET_VS05_fr.msi fr
CALL :InstallLocalizedHelp 1041 RTC4NET_VS05_ja.msi ja
CALL :InstallLocalizedHelp 1046 RTC4NET_VS05_pt_br.msi pt_br
CALL :InstallLocalizedHelp 2052 RTC4NET_VS05_zh_cn.msi zh_cn
CALL :InstallLocalizedHelp 1028 RTC4NET_VS05_zh_tw.msi zh_tw
CALL :InstallLocalizedHelp 1029 RTC4NET_VS05_ce.msi ce
CALL :InstallLocalizedHelp 1040 RTC4NET_VS05_it.msi it
CALL :InstallLocalizedHelp 1042 RTC4NET_VS05_ko.msi ko
)

if %1 == uninstall (
REM English is installed by default
%SystemRoot%\System32\msiexec.exe /x RTC4NET_VS05_en.msi /Q
CALL :UnInstallLocalizedHelp 1031 RTC4NET_VS05_de.msi de
CALL :UnInstallLocalizedHelp 1034 RTC4NET_VS05_es.msi es
CALL :UnInstallLocalizedHelp 1036 RTC4NET_VS05_fr.msi fr
CALL :UnInstallLocalizedHelp 1041 RTC4NET_VS05_ja.msi ja
CALL :UnInstallLocalizedHelp 1046 RTC4NET_VS05_pt_br.msi pt_br
CALL :UnInstallLocalizedHelp 2052 RTC4NET_VS05_zh_cn.msi zh_cn
CALL :UnInstallLocalizedHelp 1028 RTC4NET_VS05_zh_tw.msi zh_tw
CALL :UnInstallLocalizedHelp 1029 RTC4NET_VS05_ce.msi ce
CALL :UnInstallLocalizedHelp 1040 RTC4NET_VS05_it.msi it
CALL :UnInstallLocalizedHelp 1042 RTC4NET_VS05_ko.msi ko
) 

GOTO :EOF

:InstallLocalizedHelp 
SET LANG_ID=%1
SET INSTALLER=%2
SET LANG_DIR=%3

CALL :QueryReg %REG_PATH% %LANG_ID%
IF %REG_VALUE% == 1 (
%SystemRoot%\System32\msiexec.exe /I %INSTALLER% /Q TARGETDIR="%~dp0Help\VS2005\%LANG_DIR%" ARPSYSTEMCOMPONENT=1
)

GOTO :EOF

:UnInstallLocalizedHelp 
SET LANG_ID=%1
SET INSTALLER=%2
SET LANG_DIR=%3

CALL :QueryReg %REG_PATH% %LANG_ID%
IF %REG_VALUE% == 1 (
%SystemRoot%\System32\msiexec.exe /x %INSTALLER% /Q 
)

GOTO :EOF

:QueryReg
SET REG_VALUE=
%TEST_REG% %1 %2
IF %ERRORLEVEL% == 0 (
SET REG_VALUE=1
) ELSE (
SET REG_VALUE=0
)

GOTO :EOF